Page MenuHomePhabricator

MediaWiki extension for WikiProjects / on-wiki working groups
Closed, ResolvedPublic

Description

My idea for the Wikimedia Hackathon is to develop a MediaWiki extension for on-wiki working groups, known on the English Wikipedia and some other wikis as "WikiProjects."

This idea arises in the context of my work with WikiProject X, which researched WikiProjects on the English Wikipedia. One of the findings of our research is that since WikiProjects are just pages, they take a lot of maintenance to keep up-to-date. They regularly become out-of-date and not useful to the community.

WikiProject X is currently devising a WikiProject template that uses automated worklists. This is our current prototype: https://en.wikipedia.org/wiki/Wikipedia:WikiProject_Women_in_Technology though the worklists are not ready yet (bot is still under development).

My idea is for an extension that handles the WikiProject page creation automatically. Workflow is something like this:

  1. There is a designated namespace: "WikiProject:" or "Workgroup:" or something.
  2. You go to a special page to create a new group. You specify the name of the group, description of the group, and you come up with the definition of the group's scope (e.g. "All pages of Category:Something_or_other, up to 5 subcategories.") Optional: On the talk page of each affected page (ns n+1), or somewhere else, there would be a notice of some kind saying that the page in question is tagged by the workgroup. Ideally something less obtrusive than the current WikiProject banner ;)
  3. You end up with an automatically rendered page with automatically run reports. The reports would include, among other things, a cross-section of pages tagged by that group and a pre-defined list of maintenance categories. The reports would help direct editing activity.
  4. Group membership function: you press a button and end up on a list. You get notifications for new discussions and perhaps other things.

Obviously we can only do so much in a weekend, but I hope the project at least gets started.

The value proposition of this project is that helps organize work, especially for larger wikis where there is so much to keep track of. It has potential for introducing new editors to Wikimedia projects; rather than throwing them in the deep end, give them an opportunity to work with a smaller group of people.

This card tracks a proposal from the 2015 Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey

This proposal received 2 support votes, and was ranked #97 out of 107 proposals. See also: https://meta.wikimedia.org/wiki/Community_Tech_project_ideas#WikiProject_Wizard

Related Objects

StatusAssignedTask
ResolvedIsarra
OpenNone
ResolvedReedy
ResolvedNone
ResolvedReedy
ResolvedBawolff
ResolvedBawolff
ResolvedBawolff
ResolvedBawolff
ResolvedBawolff
ResolvedBawolff
ResolvedBawolff
ResolvedBawolff
ResolvedBawolff
ResolvedIsarra
ResolvedIsarra
ResolvedIsarra
ResolvedIsarra
ResolvedIsarra
ResolvedIsarra
ResolvedIsarra
DeclinedIsarra
ResolvedIsarra
DeclinedIsarra
ResolvedHarej
DeclinedNone
DeclinedNone
ResolvedBawolff
DeclinedNone
DuplicateNone
InvalidNone
DuplicateNone
ResolvedIsarra
ResolvedBawolff
ResolvedIsarra
ResolvedIsarra
DuplicateBawolff
DeclinedIsarra
ResolvedBawolff
DeclinedBawolff
ResolvedHarej
ResolvedBawolff
ResolvedIsarra
ResolvedHarej
ResolvedHarej
ResolvedBawolff
DeclinedNone
ResolvedIsarra
ResolvedHarej
ResolvedBawolff
DeclinedNone
ResolvedIsarra
ResolvedHarej
ResolvedHarej
ResolvedIsarra
ResolvedIsarra
InvalidBawolff
ResolvedIsarra
ResolvedBawolff
ResolvedNone
InvalidNone
ResolvedNone
ResolvedNone
ResolvedNone

Event Timeline

Harej created this task.Apr 25 2015, 2:52 AM
Harej raised the priority of this task from to Needs Triage.
Harej updated the task description. (Show Details)
Harej added subscribers: Harej, Isarra.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2015, 2:52 AM
Qgil added a subscriber: Qgil.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Qgil added a comment.Jun 1 2015, 6:07 AM

Did anyone work on this task at Wikimedia-Hackathon-2015? If do, please share an update. If not, remove the label.

Isarra set Security to None.

I believe that most of this could be accomplished with the FormWizard, AddMe, and a bot. If anyone wants to work on a prototype at the Wikimania Hackathon, I would be happy to work with them.

Qgil updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.Jun 5 2015, 5:49 AM
Fhocutt removed a subscriber: Fhocutt.
Fhocutt added a subscriber: Fhocutt.
Qgil added a comment.Jul 3 2015, 10:25 AM

Please confirm and promote this activity by assigning it to its owner, listing it or scheduling it at the Hackathon wiki page and by placing it in the right column at #Wikimania-Hackathon-2015. Thank you!

Qgil added a comment.Jul 7 2015, 1:36 PM

@Harej, are you still planning to work on this task in Wikimania?

Harej added a comment.Jul 7 2015, 1:43 PM

After reading Captain Swing's comment that I could implement this with FormWizard and a bot (which was recently deployed to English Wikipedia), I went ahead and did that. So I guess this is already done?

Qgil added a comment.Jul 7 2015, 2:00 PM

Your call. If this task is resolved, then please mark it as such and remove the #Wikimania-Hackathon-2015 label. Thank you!

Harej closed this task as Resolved.Jul 7 2015, 2:01 PM
Harej claimed this task.
Harej removed a project: Wikimania-Hackathon-2015.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 7 2015, 10:23 PM
DannyH moved this task from Product backlog to Epic backlog on the Community-Tech board.
IMPORTANT: If you are a community developer interested in working on this task: The Wikimedia Hackathon 2016 (Jerusalem, March 31 - April 3) focuses on #Community-Wishlist-Survey projects. There is some budget for sponsoring volunteer developers. THE DEADLINE TO REQUEST TRAVEL SPONSORSHIP IS TODAY, JANUARY 21. Exceptions can be made for developers focusing on Community Wishlist projects until the end of Sunday 24, but not beyond. If you or someone you know is interested, please REGISTER NOW.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 21 2016, 2:53 PM

Has this become this the actual making of the extension for T123028? If so, then I'm apparently working on... this. Right now. Yes.

Is there something I should do with it?

Niharika assigned this task to Isarra.Jan 25 2016, 1:49 PM
Niharika added a subscriber: Niharika.

Per

Has this become this the actual making of the extension for T123028? If so, then I'm apparently working on... this. Right now. Yes.

Harej added a comment.Jan 25 2016, 9:39 PM

It's sort of an accident of history. I created T123028 forgetting that I also created this task. But you'll find that the two tasks are written very differently. As a compromise between totally rewriting this task and treating them as two separate proposals altogether, I decided to make the more precisely scoped task a blocker to this more general task.

I put a good deal of work into writing T123028, so I would prefer that that task remains extant. I will leave it to others to decide whether this task should be closed.

DannyH updated the task description. (Show Details)Feb 6 2016, 12:32 AM
Qgil removed a subscriber: Qgil.Feb 11 2016, 12:31 PM
Harej closed this task as Resolved.Feb 13 2017, 11:54 AM
DannyH moved this task from Product backlog to Archive on the Community-Tech board.Mar 8 2017, 1:26 AM